# -*- coding: utf-8 -*-

from django import forms
from django.conf import settings
from django.utils.translation import ugettext_lazy as _

if 'django.contrib.flatpages' in settings.INSTALLED_APPS:
    from django.contrib.flatpages.models import FlatPage

    class FlatpageForm(forms.ModelForm):

        url = forms.RegexField(label=_("URL"), max_length=100,
            help_text=_("Example: '/about/contact/'. Make sure to have leading"
                        " and trailing slashes."),
            error_message=_("This value must contain only letters, numbers,"
                            " underscores, dashes or slashes."),
            regex=r'^[-\w/\.~]+$')

        class Meta:
            model = FlatPage

        def __init__(self, *args, **kwargs):
            super(FlatpageForm, self).__init__(*args, **kwargs)
            if getattr(settings, 'USE_CKEDITOR', True):
                from ckeditor.widgets import CKEditorWidget

                self.fields['content'].widget = CKEditorWidget()
