# -*- coding: utf-8 -*-

from django.conf import settings
from django.shortcuts import get_object_or_404
from django.contrib.sites.models import get_current_site
from django.http import Http404, HttpResponsePermanentRedirect
from django.contrib.flatpages.views import render_flatpage

if 'django.contrib.flatpages' in settings.INSTALLED_APPS:
    from django.contrib.flatpages.models import FlatPage

    def flatpage(request, url):
        if not url.startswith('/'):
            url = '/' + url
        site_id = get_current_site(request).id
        try:
            f = get_object_or_404(FlatPage,
                url__exact=url, sites__id__exact=site_id)
        except Http404:
            if not url.endswith('/') and settings.APPEND_SLASH:
                url += '/'
                f = get_object_or_404(FlatPage,
                    url__exact=url, sites__id__exact=site_id)
                return HttpResponsePermanentRedirect('%s/' % request.path)
            else:
                raise
        return render_flatpage(request, f)
